Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class Or

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.expr.Arr
                  org.basex.query.xpath.expr.Or

    public final class Or

extends Arr

Or expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Tim Petrowsky

Field Summary

Fields inherited from class org.basex.query.xpath.expr.Arr
`expr`

Constructor Summary
`Or(Expr[] e)` Constructor.

Method Summary
`Expr` | `comp(XPContext ctx)` Optimizes the expression.
`Bln` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.
`Expr` | `indexEquivalent(XPContext ctx, Step curr, boolean seq)` Returns an equivalent expression which accesses an index structure.
`int` | `indexSizes(XPContext ctx, Step curr, int min)` Returns the number of results if this query is evaluated by an index.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xpath.expr.Arr
`plan, sameAs, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`returnedValue`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Or

    public Or(Expr[] e)

  Constructor.

  Parameters:
    `e` - expressions

Method Detail

### eval

    public Bln eval(XPContext ctx)
             throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `QueryException` - evaluation exception

### comp

    public Expr comp(XPContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes the expression.

  Overrides:
    `comp` in class `Arr`
  Parameters:
    `ctx` - expression context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - evaluation exception

### indexEquivalent

    public Expr indexEquivalent(XPContext ctx,
                                Step curr,
                                boolean seq)
                         throws QueryException

  Description copied from class: `Expr`
  Returns an equivalent expression which accesses an index structure.

  Overrides:
    `indexEquivalent` in class `Expr`
  Parameters:
    `ctx` - root
    `curr` - location step
    `seq` - flag for sequential evaluation
  Returns:
    Equivalent index-expression or null
  Throws:
    `QueryException` - evaluation exception

### indexSizes

    public int indexSizes(XPContext ctx,
                          Step curr,
                          int min)

  Description copied from class: `Expr`
  Returns the number of results if this query is evaluated by an index. If `Integer.MAX_VALUE` is returned, no index access is possible.

  Overrides:
    `indexSizes` in class `Expr`
  Parameters:
    `ctx` - root
    `curr` - the current location step
    `min` - current minimum index hits
  Returns:
    number of expected results

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD